Commit 67bf5878 authored by Constantin Pape's avatar Constantin Pape

Merge branch 'cellpose-test' into 'master'

Fix cellpose-gpu build

See merge request !1
parents 8e98ccd6 b8f1a2a3
......@@ -16,6 +16,7 @@ CUDA_VISIBIBLE_DEVICES=0
```
conda env create -f environment_gpu.yaml
conda activate cellpose-gpu
pip install --no-deps -r requirements.txt
```
```
......
import os
os.environ['CUDA_VISIBLE_DEVICES'] = '0'
print("Imporintg utils")
from cellpose import utils
print(utils.use_gpu())
name: cellpose-gpu
dependencies:
- cudatoolkit>=10.2,<10.3 # pin to the same version as mxnet
- python=3.7
- pip
- numpy
......@@ -8,14 +9,13 @@ dependencies:
- pyqt
- scipy
- matplotlib
- natsort
- jupyter
- pip:
# this needs to be adapted to your cuda version:
# for 10.0 choose 100 etc.
- mxnet-cu102
- opencv_python
- pyqtgraph==0.11.0rc0
- natsort
- google-cloud-storage
- tqdm
- cellpose
- tqdm
- google-cloud-storage
- pyqtgraph>=0.11,<0.12
- opencv
- tifffile
# pip in environment.yaml does not support no-deps, see
# https://github.com/conda/conda/issues/6805#issuecomment-515680253
# so we install the pip requirements separately instead
cellpose
mxnet-cu102
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment